<AtmosphereBehavior.GasCloud_AsteroidField __id="2d85a7e7-7106-45a8-b7aa-e6c0cc5d2c81" __path="libs/foundry/records/roomsystem/atmospherebehaviors/gascloud_asteroidfield.xml" __type="AtmosphereBehavior" atmosphereEnvironmentTag="c7e827a8-6ede-4f0f-9c5b-8dcedaa462d3" enableActorVectorFields="0" enableAtmosphericHeating="0">
  <atmosphereHumidityRtpc __type="AudioRtpc" rtpc="EnvironmentFeedback_GasCloud_Humidity" />
  <atmospherePressureRtpc __type="AudioRtpc" rtpc="EnvironmentFeedback_GasCloud_Pressure" />
  <atmosphereTemperatureRtpc __type="AudioRtpc" rtpc="EnvironmentFeedback_GasCloud_Temperature" />
  <turbulence __type="AtmosphereBehavior_TurbulenceParams" amplitudeMultiplier="2.0" frequencyMultiplier="4.0" vibrationMultiplier="1.0" />
  <vehicleEffects __type="Behavior_VehicleEffectParams" __polymorphicType="Behavior_AtmosphereVehicleEffectParams" enableEngineContrails="1" enableEngineTrails="1">
    <aerodynamicTrailCalculation __type="AerodynamicTrailCalculation" __polymorphicType="AerodynamicTrailCalculationPropertyRange" type="Pressure">
      <range __type="Range" maximum="0.003000000026077032" minimum="0.0" />
    </aerodynamicTrailCalculation>
    <customVehicleEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="Behavior_CustomVehicleEffectsPreset">
      <particleEffects __type="SEntityEffectSystem_Category" __polymorphicType="SEntityEffectSystem_ParticleCategory" allowMultipleTags="1" enabled="1">
        <tagEffects>
          <SEntityEffectSystem_ParticleTagEffect __type="SEntityEffectSystem_ParticleEffect" __polymorphicType="SEntityEffectSystem_ParticleTagEffect" clipToVisArea="Local" enabled="1" gpuVisAreaCullingMode="Default" holographic="0" name="Gascloud Contrail (Aerodynamic Wingtip Vortex)" primed="0" tag="0dbde955-2240-40ba-bc92-5f3f19a9daa2" updateEntityBounds="0">
            <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_BoneAttachment" attachmentZone="Host" boneAttachment="contrail_*" offsetParameter="00000000-0000-0000-0000-000000000000">
              <offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </offset>
            </attachmentSettings>
            <particleEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Spaceships\Contrails\contrail_generic.gascloud.idle_contrail_wing" />
            <propertyLinks>
              <SEntityEffectSystem_ParticlePropertyLink __type="SEntityEffectSystem_PropertyLink" __polymorphicType="SEntityEffectSystem_ParticlePropertyLink" parameterName="af644870-38bd-4156-8ed6-695410a9b195" particleProperty="strength">
                <modifiers />
              </SEntityEffectSystem_ParticlePropertyLink>
              <SEntityEffectSystem_ParticlePropertyLink __type="SEntityEffectSystem_PropertyLink" __polymorphicType="SEntityEffectSystem_ParticlePropertyLink" parameterName="c076bb86-2c75-4162-9b4f-77bee24bf8e2" particleProperty="alpha">
                <modifiers />
              </SEntityEffectSystem_ParticlePropertyLink>
            </propertyLinks>
          </SEntityEffectSystem_ParticleTagEffect>
          <SEntityEffectSystem_ParticleTagEffect __type="SEntityEffectSystem_ParticleEffect" __polymorphicType="SEntityEffectSystem_ParticleTagEffect" clipToVisArea="Local" enabled="1" gpuVisAreaCullingMode="Default" holographic="0" name="EnviromentVehicleEffect" primed="0" tag="8e874586-caa1-441a-8f7c-26337b000617" updateEntityBounds="0">
            <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="8f98a162-5e8e-441b-9104-38af743509aa">
              <offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </offset>
            </attachmentSettings>
            <particleEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Environments\GasCloud\environment_vehicle_effects.Asteroid.Asteroid_default" />
            <propertyLinks>
              <SEntityEffectSystem_ParticlePropertyLink __type="SEntityEffectSystem_PropertyLink" __polymorphicType="SEntityEffectSystem_ParticlePropertyLink" parameterName="8e0eeeeb-75dd-42ee-bf5a-d770d93ede6a" particleProperty="strength">
                <modifiers>
                  <SEntityEffectSystem_MultiplierModifier __type="SEntityEffectSystem_PropertyModifier" __polymorphicType="SEntityEffectSystem_MultiplierModifier" multiplier="1000.0" />
                  <SEntityEffectSystem_MinMaxModifier __type="SEntityEffectSystem_PropertyModifier" __polymorphicType="SEntityEffectSystem_MinMaxModifier" maximum="1.0" minimum="0.0" />
                </modifiers>
              </SEntityEffectSystem_ParticlePropertyLink>
              <SEntityEffectSystem_ParticlePropertyLink __type="SEntityEffectSystem_PropertyLink" __polymorphicType="SEntityEffectSystem_ParticlePropertyLink" parameterName="8d44e451-70e3-4eaa-91d0-7e0e4cd1f3f3" particleProperty="emissionSize">
                <modifiers />
              </SEntityEffectSystem_ParticlePropertyLink>
            </propertyLinks>
          </SEntityEffectSystem_ParticleTagEffect>
        </tagEffects>
        <triggerEffects />
      </particleEffects>
    </customVehicleEffects>
  </vehicleEffects>
  <weather __type="AtmosphereBehavior_WeatherParams" enableSurfaceWaterEffects="1" planetCloudCondensationAmount="0.0">
    <effects>
      <WeatherEffects_Atmosphere_PropertyValue __type="WeatherEffects_Atmosphere" __polymorphicType="WeatherEffects_Atmosphere_PropertyValue" propertyType="Pressure">
        <interpolationRange __type="Range" maximum="0.003000000026077032" minimum="0.0" />
        <spaceLoopEffect __type="WeatherEffects_SpaceLoopEffect" updateCount="1" updateStrength="1">
          <effect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Environments\GasCloud\gascloud_spaceloops.AsteroidField.Spaceloop_AsteroidField_01" />
        </spaceLoopEffect>
      </WeatherEffects_Atmosphere_PropertyValue>
    </effects>
    <planetCloudDensityCondensationRange __type="Range" maximum="1.0" minimum="1.0" />
  </weather>
</AtmosphereBehavior.GasCloud_AsteroidField>